<template>
  <div class="container">
    <h3 class="mt-5">ajouter une catégorie</h3>
    <category-add-form @save-data="saveData"></category-add-form>
  </div>
</template>

<script>
import CategoryAddForm from "../../components/category/CategoryAddForm";

export default {
  components: {
    CategoryAddForm,
  },
  methods: {
    saveData(data) {
      this.$store.dispatch("categories/registerCategorie", data);
      this.$router.replace("/administration/categories");
    },
  },
};
</script>